# -*- coding:utf-8 -*-
import json

import requests

from apiDemo.helper import ConfigConstant


class CustomerApi:
    def __init__(self):
        pass

    def simpleList(self, corpid, token, page, pageSize):

        url = ConfigConstant.get_api_url(ConfigConstant.CUSTOMER_SIMPLE_LIST)

        data = dict()
        data['corpid'] = corpid
        data['page'] = page
        data['pageSize'] = pageSize
        data_string = json.dumps(data)
        session = requests.session()
        # 计算请求的签名值
        sign = ConfigConstant.random_sign(data_string, token)
        # 请求的json放到请求body中的data中
        request_data = {"data": data_string}
        # 签名值放到header中
        headers = {"sign": sign}

        try:
            response = session.post(url, data=request_data, headers=headers)
        except Exception:
            raise

        ret_array = json.loads(response.text)
        return ret_array
